#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	Blowfish
Summary:	Crypt::Blowfish - Perl Blowfish encryption module
Summary(pl.UTF-8):	Crypt::Blowfish - moduł Perla dla szyfrowania Blowfish
Name:		perl-Crypt-Blowfish
Version:	2.12
Release:	3
License:	BSD-like (see COPYRIGHT)
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Crypt/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a0eca17addc8bdaf38c044c365a8800c
Patch0:		build.patch
URL:		http://search.cpan.org/dist/Crypt-Blowfish/
%{?with_tests:BuildRequires:	perl-Crypt-CBC >= 1.22}
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Crypt::Blowfish Perl module contains an implementation of the Blowfish
cryptography algorithm.

%description -l pl.UTF-8
Moduł Perla Crypt::Blowfish zawiera implementację algorytmu
kryptograficznego Blowfish.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes COPYRIGHT README
%{perl_vendorarch}/Crypt/Blowfish.pm
%dir %{perl_vendorarch}/auto/Crypt/Blowfish
%{perl_vendorarch}/auto/Crypt/Blowfish/Blowfish.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Crypt/Blowfish/Blowfish.so
%{_mandir}/man3/Crypt::Blowfish.3pm*
%changelog
* Sun Jun 09 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Crypt-Blowfish.git;a=log;h=master

* Sun Jun 09 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 2951a02
- rel 3; build fix

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 08620df
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Sun Jun 03 2012 Jakub Bogusz <qboosh@pld-linux.org> e066060
- gpm-friendly Source URL
- Crypt::CBC version
- verbose man files

* Mon Jan 23 2012 zbyniu <zbyniu@pld-linux.org> b7ac1d8
- up to 2.12

* Tue Oct 04 2011 lisu <lisu@pld-linux.org> 68c68da
- rel 7

* Wed Feb 02 2011 sparky <sparky@pld-linux.org> 3b30020
- tests BR: perl-Crypt-CBC

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> e3e50da
- release 6

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 83b3036
- release 5

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> 3dc5f7e
- release 4

* Sun Mar 02 2008 radek <radek@pld-linux.org> 81365a9
- release 3

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> c8be356
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 8cc58fd
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 84ce462
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e9829e2
- converted to UTF-8

* Wed Jul 26 2006 Elan Ruusamäe <glen@pld-linux.org> c9a9649
- 2.10, generic URL

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 17e4ab5
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> 78ac687
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Fri May 07 2004 ankry <ankry@pld-linux.org> 4191256
- rel. 6

* Thu May 06 2004 ankry <ankry@pld-linux.org> 7e72c2c
- fixed perl-devel BR

* Sun Apr 25 2004 ankry <ankry@pld-linux.org> 2ab3aa2
- added tests

